# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="libacpi is a general purpose shared library for programs gathering
ACPI data on Linux."
HOMEPAGE="libacpi is a general purpose shared library for programs gathering
ACPI data on Linux."
SRC_URI="http://www.ngolde.de/download/${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

DEPEND=""
RDEPEND=""

src_unpack() {
	unpack ${A}
	cd "${S}"
	epatch "${FILESDIR}/${P}-makefile.patch"
}

src_install() {
	emake DESTDIR="${D}" PREFIX="/usr" install || die "Install failed"
	dodoc README CHANGES TODO LICENSE AUTHORS
	docinto html
	dodoc doc/html/*
	doman libacpi.3
}

