# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="Yacpi is an acpi monitoring program for Linux."
HOMEPAGE="http://www.ngolde.de/yacpi.html"
SRC_URI="http://www.ngolde.de/download/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 amd64"
IUSE=""

DEPEND="sys-libs/ncurses"
RDEPEND=""

src_unpack(){
	unpack ${A}
	cd ${S}
	epatch "${FILESDIR}/${P}-makefile.patch"
}

src_install(){
	emake DESTDIR="${D}" PREFIX="/usr" install || die "Install failed"
	dodoc CHANGELOG COPYING README THANKS
	doman yacpi.1
}
